import React from 'react';
import { Box, NameValueList, NameValuePair, Text } from 'grommet';
import { data } from './data';

export const Align = () => (
  // Uncomment <Grommet> lines when using outside of storybook
  // <Grommet theme={...}>
  <Box pad="small">
    <>
      <Text weight="bold" size="3xl">
        Align value end
      </Text>
      <NameValueList valueProps={{ align: 'end' }}>
        {Object.entries(data).map(([name, value]) => (
          <NameValuePair key={name} name={name}>
            {value}
          </NameValuePair>
        ))}
      </NameValueList>
    </>
    <>
      <Text weight="bold" size="3xl">
        Align name end
      </Text>
      <NameValueList nameProps={{ align: 'end' }}>
        {Object.entries(data).map(([name, value]) => (
          <NameValuePair key={name} name={name}>
            {value}
          </NameValuePair>
        ))}
      </NameValueList>
    </>
  </Box>
  // </Grommet>
);

export default {
  title: 'Visualizations/NameValueList/Align',
};
